WinShopAPI docs
ReferenceCompanies

Create an authorised person

Adds an authorised person to the company and returns the stored row. Requires `Permissions.Companies.Create`.

POST
/api/companies/{companyId}/authorized-persons

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32

Request Body

application/json
  1. body
companyId?|
Formatint32
email?|
Lengthlength <= 50
id?|
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
number?|
Lengthlength <= 80
phone?|
Lengthlength <= 20
shouldSendMailTo?boolean|null

Response Body

application/json
  1. response
companyId?|
Formatint32
email?|
Lengthlength <= 50
id?|
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
number?|
Lengthlength <= 80
phone?|
Lengthlength <= 20
shouldSendMailTo?boolean|null
curl -X POST 'https://<your-instance>/api/companies/0/authorized-persons' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "companyId": 2,  "email": "[email protected]",  "isInactive": false,  "name": "New AuthorizedPerson",  "number": "1000001",  "phone": "444555666",  "shouldSendMailTo": true}'
{  "companyId": 0,  "email": "string",  "id": 0,  "isInactive": true,  "name": "string",  "number": "string",  "phone": "string",  "shouldSendMailTo": true}